Index: tmp/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryAutoCooccurrence.java
===================================================================
--- tmp/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryAutoCooccurrence.java	(revision 1334)
+++ tmp/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryAutoCooccurrence.java	(revision 1335)
@@ -99,7 +99,7 @@
 					JobsTimer.start();
 
 					if (!(element instanceof QueryIndex)) {
-						System.out.println(TXMUIMessages.ComputeCooccurrences_1+ element);
+						System.out.println(TXMUIMessages.cannotComputeCooccurrencesWithTheSelection+ element);
 						return Status.CANCEL_STATUS;
 					}
 					QueryIndex qi = ((QueryIndex)element);
@@ -121,7 +121,7 @@
 
 					if (cooc == null) return null;
 					
-					System.out.println(TXMUIMessages.ComputeCoocMatrix_0+cooc.getSymbol());
+					System.out.println(TXMUIMessages.coocMatrixDDot+cooc.getSymbol());
 
 					syncExec(new Runnable() {
 						@Override
@@ -136,7 +136,7 @@
 					return Status.CANCEL_STATUS;
 				} catch (Exception e) {
 					Log.printStackTrace(e);
-					try { System.out.println(TXMUIMessages.LastCQPError+CQPSearchEngine.getCqiClient().getLastCQPError());
+					try { System.out.println(TXMUIMessages.lastCQPErrorDDot+CQPSearchEngine.getCqiClient().getLastCQPError());
 					} catch (Exception e1) { e1.printStackTrace(); }
 				} finally {
 					monitor.done();
@@ -166,7 +166,7 @@
 		}
 
 		System.out.println(TXMCoreMessages.common_queries+queries);
-		System.out.println(TXMUIMessages.MergeCols_5+names);
+		System.out.println(TXMUIMessages.namesDDot+names);
 
 		QueryAutoCooccurrence cooc = null;
 		try {
@@ -176,18 +176,18 @@
 			System.out.println("Estimated time: "+(nqueries*reqtime/1000)+" secs");
 			cooc = new QueryAutoCooccurrence(corpus);
 			cooc.setParameters(queries, names, dist, min, struct, oriented, new ConsoleProgressBar(nqueries));
-			System.out.println(TXMUIMessages.ComputeCoocMatrix_1+cooc.getNNodes());
-			System.out.println(TXMUIMessages.ComputeCoocMatrix_2+cooc.getNEdges());
-			System.out.println(TXMUIMessages.ComputeCoocMatrix_3+dist);
+			System.out.println(TXMUIMessages.numberOfNodesDDot+cooc.getNNodes());
+			System.out.println(TXMUIMessages.numberOfEdgesDDot+cooc.getNEdges());
+			System.out.println(TXMUIMessages.distance_2+dist);
 
 			if (outfile != null) {
 				cooc.toGraphml(outfile);
-				System.out.println(TXMUIMessages.ComputeCoocMatrix_4+outfile);
+				System.out.println(TXMUIMessages.writingCoocMatrixInGRAPHMLFileDDot+outfile);
 			}
 
 		} catch (Exception e) {
 			Log.printStackTrace(e);
-			try { System.out.println(TXMUIMessages.LastCQPError+CQPSearchEngine.getCqiClient().getLastCQPError());
+			try { System.out.println(TXMUIMessages.lastCQPErrorDDot+CQPSearchEngine.getCqiClient().getLastCQPError());
 			} catch (Exception e1) { e1.printStackTrace(); }
 		}
 		return cooc;
@@ -227,7 +227,7 @@
 		@Override
 		protected void configureShell(Shell newShell) {
 			super.configureShell(newShell);
-			newShell.setText(TXMUIMessages.ComputeCoocMatrix_7);
+			newShell.setText(TXMUIMessages.coocMatrixParameters);
 		}
 
 		/* (non-Javadoc)
@@ -265,7 +265,7 @@
 			}
 
 			Label distLabel = new Label(composite, SWT.NONE);
-			distLabel.setText(TXMUIMessages.ComputeCoocMatrix_10);
+			distLabel.setText(TXMUIMessages.distance);
 			distLabel.setLayoutData(new GridData(GridData.END, GridData.CENTER,
 					false, false));
 			distSpinner = new Spinner(composite, SWT.BORDER);
@@ -274,7 +274,7 @@
 			distSpinner.setSelection(10);
 
 			Label minLabel = new Label(composite, SWT.NONE);
-			minLabel.setText(TXMUIMessages.ComputeCoocMatrix_11);
+			minLabel.setText(TXMUIMessages.minimalCoFrequence);
 			minLabel.setLayoutData(new GridData(GridData.END, GridData.CENTER,
 					false, false));
 			minSpinner = new Spinner(composite, SWT.BORDER);
@@ -290,12 +290,12 @@
 			orientedButton.setSelection(false);
 
 			outfileLabel = new Label(composite, SWT.NONE);
-			outfileLabel.setText(TXMUIMessages.ComputeCoocMatrix_12);
+			outfileLabel.setText(TXMUIMessages.outfileDDotNone);
 			outfileLabel.setLayoutData(new GridData(GridData.END, GridData.CENTER,
 					false, false));
 
 			Button outfileButton = new Button(composite, SWT.PUSH);
-			outfileButton.setText(TXMUIMessages.ComputeCoocMatrix_13);
+			outfileButton.setText(TXMUIMessages.chooseOutfile);
 			outfileButton.addSelectionListener(new SelectionListener() {
 				@Override
 				public void widgetSelected(SelectionEvent e) {
@@ -354,4 +354,4 @@
 			super.okPressed();
 		}
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryCooccurrence.java
===================================================================
--- tmp/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryCooccurrence.java	(revision 1334)
+++ tmp/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryCooccurrence.java	(revision 1335)
@@ -101,7 +101,7 @@
 					JobsTimer.start();
 
 					if (!(element instanceof CQPCorpus)) {
-						System.out.println(TXMUIMessages.ComputeCooccurrences_1+ element);
+						System.out.println(TXMUIMessages.cannotComputeCooccurrencesWithTheSelection+ element);
 						return Status.CANCEL_STATUS;
 					}
 					CQPCorpus corpus = ((CQPCorpus)element);
@@ -122,7 +122,7 @@
 
 					if (cooc == null) return null;
 
-					System.out.println(TXMUIMessages.ComputeCoocMatrix_0+cooc.getSymbol());
+					System.out.println(TXMUIMessages.coocMatrixDDot+cooc.getSymbol());
 
 					syncExec(new Runnable() {
 						@Override
@@ -137,7 +137,7 @@
 					return Status.CANCEL_STATUS;
 				} catch (Exception e) {
 					Log.printStackTrace(e);
-					try { System.out.println(TXMUIMessages.LastCQPError+CQPSearchEngine.getCqiClient().getLastCQPError());
+					try { System.out.println(TXMUIMessages.lastCQPErrorDDot+CQPSearchEngine.getCqiClient().getLastCQPError());
 					} catch (Exception e1) { e1.printStackTrace(); }
 				} finally {
 					monitor.done();
@@ -164,7 +164,7 @@
 		getQueriesAndNames(dialog.getQueryFile2(), queries2, names2);
 
 		System.out.println(TXMCoreMessages.common_queries + queries1);
-		System.out.println(TXMUIMessages.MergeCols_5+names1);
+		System.out.println(TXMUIMessages.namesDDot+names1);
 
 		QueryCooccurrence cooc = null;
 		try {
@@ -174,13 +174,13 @@
 			cooc = new QueryCooccurrence(corpus);
 			cooc.setParameters(queries1, names1, queries2, names2, dist, min, struct);
 			cooc.compute();
-			System.out.println(TXMUIMessages.ComputeCoocMatrix_1+cooc.getNNodes());
-			System.out.println(TXMUIMessages.ComputeCoocMatrix_2+cooc.getNEdges());
-			System.out.println(TXMUIMessages.ComputeCoocMatrix_3+dist);
+			System.out.println(TXMUIMessages.numberOfNodesDDot+cooc.getNNodes());
+			System.out.println(TXMUIMessages.numberOfEdgesDDot+cooc.getNEdges());
+			System.out.println(TXMUIMessages.distance_2+dist);
 		} catch (Exception e) {
 			// TODO Auto-generated catch block
 			Log.printStackTrace(e);
-			try { System.out.println(TXMUIMessages.LastCQPError+CQPSearchEngine.getCqiClient().getLastCQPError());
+			try { System.out.println(TXMUIMessages.lastCQPErrorDDot+CQPSearchEngine.getCqiClient().getLastCQPError());
 			} catch (Exception e1) { e1.printStackTrace(); }
 		}
 		return cooc;
@@ -242,7 +242,7 @@
 		@Override
 		protected void configureShell(Shell newShell) {
 			super.configureShell(newShell);
-			newShell.setText(TXMUIMessages.ComputeCoocMatrix_7);
+			newShell.setText(TXMUIMessages.coocMatrixParameters);
 		}
 
 		/* (non-Javadoc)
@@ -280,7 +280,7 @@
 			}
 
 			Label distLabel = new Label(composite, SWT.NONE);
-			distLabel.setText(TXMUIMessages.ComputeCoocMatrix_10);
+			distLabel.setText(TXMUIMessages.distance);
 			distLabel.setLayoutData(new GridData(GridData.END, GridData.CENTER,
 					false, false));
 			distSpinner = new Spinner(composite, SWT.BORDER);
@@ -289,7 +289,7 @@
 			distSpinner.setSelection(10);
 
 			Label minLabel = new Label(composite, SWT.NONE);
-			minLabel.setText(TXMUIMessages.ComputeCoocMatrix_11);
+			minLabel.setText(TXMUIMessages.minimalCoFrequence);
 			minLabel.setLayoutData(new GridData(GridData.END, GridData.CENTER,
 					false, false));
 			minSpinner = new Spinner(composite, SWT.BORDER);
@@ -394,4 +394,4 @@
 			super.okPressed();
 		}
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/preferences/TreeTaggerPreferencePage.java
===================================================================
--- tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/preferences/TreeTaggerPreferencePage.java	(revision 1334)
+++ tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/preferences/TreeTaggerPreferencePage.java	(revision 1335)
@@ -55,8 +55,8 @@
 	@Override
 	public void createFieldEditors() {
 
-		this.addField(new DirectoryFieldEditor(TreeTaggerPreferences.INSTALL_PATH, TreeTaggerUIMessages.TreeTaggerPreferencePage_1, this.getFieldEditorParent()));
-		this.addField(new DirectoryFieldEditor(TreeTaggerPreferences.MODELS_PATH, TreeTaggerUIMessages.TreeTaggerPreferencePage_2, this.getFieldEditorParent()));
+		this.addField(new DirectoryFieldEditor(TreeTaggerPreferences.INSTALL_PATH, TreeTaggerUIMessages.pathToInstallDirectory, this.getFieldEditorParent()));
+		this.addField(new DirectoryFieldEditor(TreeTaggerPreferences.MODELS_PATH, TreeTaggerUIMessages.pathToModelsDirectory, this.getFieldEditorParent()));
 
 		Label l = new Label(this.getFieldEditorParent(), SWT.SEPARATOR|SWT.HORIZONTAL);
 		l.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, true, false, 3,1));
@@ -101,4 +101,4 @@
 	public void init(IWorkbench workbench) {
 		this.setPreferenceStore(new TXMPreferenceStore(TreeTaggerPreferences.getInstance().getPreferencesNodeQualifier()));
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/messages/TreeTaggerUIMessages.java
===================================================================
--- tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/messages/TreeTaggerUIMessages.java	(revision 1334)
+++ tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/messages/TreeTaggerUIMessages.java	(revision 1335)
@@ -1,29 +1,29 @@
-package org.txm.treetagger.rcp.messages;
-
-import org.eclipse.osgi.util.NLS;
-import org.txm.utils.messages.Utf8NLS;
-
-
-/**
- * TreeTagger UI Messages.
- * 
- * @author mdecorde
- * @author sjacquot
- *
- */
-public class TreeTaggerUIMessages extends NLS {
-
-	private static final String BUNDLE_NAME = "org.txm.treetagger.rcp.messages.messages"; //$NON-NLS-1$
-	
-	public static String TreeTaggerPreferencePage_1;
-	public static String TreeTaggerPreferencePage_2;
-	
-	static {
-		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, TreeTaggerUIMessages.class);
-	}
-
-	private TreeTaggerUIMessages() {
-	}
-	
-}
+package org.txm.treetagger.rcp.messages;
+
+import org.eclipse.osgi.util.NLS;
+import org.txm.utils.messages.Utf8NLS;
+
+
+/**
+ * TreeTagger UI Messages.
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ *
+ */
+public class TreeTaggerUIMessages extends NLS {
+
+	private static final String BUNDLE_NAME = "org.txm.treetagger.rcp.messages.messages"; //$NON-NLS-1$
+	
+	public static String pathToInstallDirectory; 
+	public static String pathToModelsDirectory; 
+	
+	static {
+		// initialize resource bundle
+		Utf8NLS.initializeMessages(BUNDLE_NAME, TreeTaggerUIMessages.class);
+	}
+
+	private TreeTaggerUIMessages() {
+	}
+	
+}
Index: tmp/org.txm.ahc.rcp/src/org/txm/ahc/rcp/handlers/ComputeAHC.java
===================================================================
--- tmp/org.txm.ahc.rcp/src/org/txm/ahc/rcp/handlers/ComputeAHC.java	(revision 1334)
+++ tmp/org.txm.ahc.rcp/src/org/txm/ahc/rcp/handlers/ComputeAHC.java	(revision 1335)
@@ -107,7 +107,7 @@
 				return null;
 			}
 			try {
-				String title = AHCUIMessages.bind(AHCUIMessages.ComputeCAH_0, partition.getName());
+				String title = AHCUIMessages.bind(AHCUIMessages.computingClassificationWithP0, partition.getName());
 				int vMax = CAPreferences.getInstance().getInt(TXMPreferences.V_MAX);
 				int fMin =  CAPreferences.getInstance().getInt(TXMPreferences.F_MIN);
 				Shell shell = Display.getCurrent().getActiveShell();
@@ -141,4 +141,4 @@
 	}
 
 
-}
+}
\ No newline at end of file
Index: tmp/org.txm.ahc.rcp/src/org/txm/ahc/rcp/preferences/AHCPreferencePage.java
===================================================================
--- tmp/org.txm.ahc.rcp/src/org/txm/ahc/rcp/preferences/AHCPreferencePage.java	(revision 1334)
+++ tmp/org.txm.ahc.rcp/src/org/txm/ahc/rcp/preferences/AHCPreferencePage.java	(revision 1335)
@@ -54,7 +54,7 @@
 	@Override
 	public void createFieldEditors() {
 
-		IntegerFieldEditor nClusters = new IntegerFieldEditor(AHCPreferences.N_CLUSTERS, AHCUIMessages.CAHPreferencePage_2, getFieldEditorParent());
+		IntegerFieldEditor nClusters = new IntegerFieldEditor(AHCPreferences.N_CLUSTERS, AHCUIMessages.numberOfClusters, getFieldEditorParent());
 		addField(nClusters);
 
 		String list[] = AHC.getMethods(); 
@@ -62,7 +62,7 @@
 		for(int i = 0 ; i < list.length ; i++)
 			methods[i][0] = methods[i][1] = list[i];
 				
-		ComboFieldEditor method = new ComboFieldEditor(AHCPreferences.METHOD, AHCUIMessages.CAHPreferencePage_3, methods, getFieldEditorParent());
+		ComboFieldEditor method = new ComboFieldEditor(AHCPreferences.METHOD, AHCUIMessages.method, methods, getFieldEditorParent());
 		addField(method);
 
 		list = AHC.getMetrics(); 
@@ -78,7 +78,7 @@
 		Composite chartsTab = SWTChartsComponentsProvider.createChartsRenderingPreferencesTabFolderComposite(getFieldEditorParent());
 
 		String[][] labelAndValues = {{"2D", "true"}, {"3D", "false"}}; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
-		RadioGroupFieldEditor default2D3Ddisplay = new RadioGroupFieldEditor(AHCPreferences.RENDERING_2D, AHCUIMessages.preferences_displayChartIn2D, 2, labelAndValues, chartsTab);
+		RadioGroupFieldEditor default2D3Ddisplay = new RadioGroupFieldEditor(AHCPreferences.RENDERING_2D, AHCUIMessages.displayChartsIn2D, 2, labelAndValues, chartsTab);
 		addField(default2D3Ddisplay);
 		
 		
Index: tmp/org.txm.ahc.rcp/src/org/txm/ahc/rcp/messages/AHCUIMessages.java
===================================================================
--- tmp/org.txm.ahc.rcp/src/org/txm/ahc/rcp/messages/AHCUIMessages.java	(revision 1334)
+++ tmp/org.txm.ahc.rcp/src/org/txm/ahc/rcp/messages/AHCUIMessages.java	(revision 1335)
@@ -15,17 +15,17 @@
 	
 	private static final String BUNDLE_NAME = "org.txm.ahc.rcp.messages.messages"; //$NON-NLS-1$
 	
-	public static String preferences_displayChartIn2D;
-	public static String CAHPreferencePage_2;
-	public static String CAHPreferencePage_3;
+	public static String displayChartsIn2D; 
+	public static String numberOfClusters; 
+	public static String method; 
 	public static String common_metric;
 	
-	public static String ComputeCAH_0;
+	public static String computingClassificationWithP0; 
 	
-	public static String tooltips_computeColumns;
-	public static String tooltips_computeRows;
+	public static String computeColumns; 
+	public static String computeRows; 
 	
-	public static String toolbars_numberOfClusters;
+	public static String numberOfClustersDDot; 
 	
 	public static String error_canNotComputeAHCWith;
 	
Index: tmp/org.txm.ahc.rcp/src/org/txm/ahc/rcp/editors/AHCChartEditor.java
===================================================================
--- tmp/org.txm.ahc.rcp/src/org/txm/ahc/rcp/editors/AHCChartEditor.java	(revision 1334)
+++ tmp/org.txm.ahc.rcp/src/org/txm/ahc/rcp/editors/AHCChartEditor.java	(revision 1335)
@@ -77,7 +77,7 @@
 		
 		// Number of clusters
 	    CLabel clustersLabel = new CLabel(this.chartToolBar, SWT.CENTER);
-		clustersLabel.setText(AHCUIMessages.toolbars_numberOfClusters);
+		clustersLabel.setText(AHCUIMessages.numberOfClustersDDot);
 		this.chartToolBar.addControl(clustersLabel);
 
 	    this.numberOfClusters = new Spinner(this.chartToolBar, SWT.BORDER);
@@ -90,13 +90,13 @@
 
 		// Columns
 		this.columnsComputing = new ToolItem(this.chartToolBar, SWT.RADIO);
-		this.columnsComputing.setToolTipText(AHCUIMessages.tooltips_computeColumns);
+		this.columnsComputing.setToolTipText(AHCUIMessages.computeColumns);
 		this.columnsComputing.setImage(IImageKeys.getImage(AHCChartEditor.class, "icons/compute_columns.png")); //$NON-NLS-1$
 		this.columnsComputing.addSelectionListener(computeSelectionListener);
 
 		// Rows
 		this.rowsComputing = new ToolItem(this.chartToolBar, SWT.RADIO);
-		this.rowsComputing.setToolTipText(AHCUIMessages.tooltips_computeRows);
+		this.rowsComputing.setToolTipText(AHCUIMessages.computeRows);
 		this.rowsComputing.setImage(IImageKeys.getImage(AHCChartEditor.class, "icons/compute_rows.png")); //$NON-NLS-1$
 
 		
@@ -122,4 +122,4 @@
 		this.rowsComputing.setSelection(!ahc.isColumnsComputing());
 	}
 
-}
+}
\ No newline at end of file
Index: tmp/org.txm.searchengine.core/src/org/txm/searchengine/core/messages/SearchEngineCoreMessages.java
===================================================================
--- tmp/org.txm.searchengine.core/src/org/txm/searchengine/core/messages/SearchEngineCoreMessages.java	(revision 1334)
+++ tmp/org.txm.searchengine.core/src/org/txm/searchengine/core/messages/SearchEngineCoreMessages.java	(revision 1335)
@@ -1,42 +1,42 @@
-package org.txm.searchengine.core.messages;
-
-import org.eclipse.osgi.util.NLS;
-import org.txm.utils.messages.Utf8NLS;
-
-
-/**
- * Search engine core messages.
- * 
- * @author mdecorde
- * @author sjacquot
- *
- */
-public class SearchEngineCoreMessages extends NLS {
-
-	private static final String BUNDLE_NAME = "org.txm.searchengine.core.messages.messages"; //$NON-NLS-1$
-
-	public static String info_creatingNewPartition;
-	public static String info_deletingPartition;
-	public static String info_partCreatedInXMs;
-	public static String info_partitionCreatedInXMs;
-	public static String DROP_QUERYRESULT;
-	public static String info_partXCreatedWithQueryZ;
-	public static String info_creatingSubcorpusXFromCorpusYWithTheQueryZ;
-	public static String DROP_SUBCORPUS;
-	public static String END_SUBCORPUS_SIZE;
-	public static String info_searchEngineStopped;
-	public static String info_stoppingSearchEngine;
-
-	public static String SUBCORPUS_CREATED;
-
-	
-	
-	static {
-		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, SearchEngineCoreMessages.class);
-	}
-
-	private SearchEngineCoreMessages() {
-	}
-	
-}
+package org.txm.searchengine.core.messages;
+
+import org.eclipse.osgi.util.NLS;
+import org.txm.utils.messages.Utf8NLS;
+
+
+/**
+ * Search engine core messages.
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ *
+ */
+public class SearchEngineCoreMessages extends NLS {
+
+	private static final String BUNDLE_NAME = "org.txm.searchengine.core.messages.messages"; //$NON-NLS-1$
+
+	public static String info_creatingNewPartition;
+	public static String info_deletingPartition;
+	public static String info_partCreatedInXMs;
+	public static String info_partitionCreatedInXMs;
+	public static String deletingQueryResultP0; 
+	public static String info_partXCreatedWithQueryZ;
+	public static String info_creatingSubcorpusXFromCorpusYWithTheQueryZ;
+	public static String deletingSubcorpusP0; 
+	public static String sizeOfSubcorpusP0P1ComputedInP2Ms; 
+	public static String info_searchEngineStopped;
+	public static String info_stoppingSearchEngine;
+
+	public static String subcorpusP0CreatedInP1Ms; 
+
+	
+	
+	static {
+		// initialize resource bundle
+		Utf8NLS.initializeMessages(BUNDLE_NAME, SearchEngineCoreMessages.class);
+	}
+
+	private SearchEngineCoreMessages() {
+	}
+	
+}
Index: tmp/org.txm.properties.core/src/org/txm/properties/core/messages/PropertiesCoreMessages.java
===================================================================
--- tmp/org.txm.properties.core/src/org/txm/properties/core/messages/PropertiesCoreMessages.java	(revision 1334)
+++ tmp/org.txm.properties.core/src/org/txm/properties/core/messages/PropertiesCoreMessages.java	(revision 1335)
@@ -1,51 +1,50 @@
-package org.txm.properties.core.messages;
-
-import org.eclipse.osgi.util.NLS;
-import org.txm.utils.messages.Utf8NLS;
-
-
-/**
- * Properties core messages.
- * 
- * @author mdecorde
- * @author sjacquot
- *
- */
-public class PropertiesCoreMessages extends NLS {
-
-	private static final String BUNDLE_NAME = "org.txm.properties.core.messages.messages"; //$NON-NLS-1$
-	
-	public static String RESULT_TYPE;
-
-	
-	public static String Properties_0;
-	public static String Properties_1;
-	public static String Properties_11;
-	public static String Properties_14;
-	public static String Properties_16;
-	public static String Properties_2;
-	public static String Properties_22;
-	public static String Properties_26;
-	public static String Properties_3;
-	public static String Properties_4;
-	public static String Properties_40;
-	public static String Properties_41;
-	public static String Properties_43;
-	public static String Properties_49;
-	public static String Properties_5;
-	public static String Properties_6;
-	public static String Properties_7;
-	public static String Properties_8;
-	public static String Properties_9;
-
-	
-	
-	static {
-		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, PropertiesCoreMessages.class);
-	}
-
-	private PropertiesCoreMessages() {
-	}
-	
-}
+package org.txm.properties.core.messages;
+
+import org.eclipse.osgi.util.NLS;
+import org.txm.utils.messages.Utf8NLS;
+
+
+/**
+ * Properties core messages.
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ *
+ */
+public class PropertiesCoreMessages extends NLS {
+
+	private static final String BUNDLE_NAME = "org.txm.properties.core.messages.messages"; //$NON-NLS-1$
+	
+	public static String RESULT_TYPE;
+
+	
+	public static String structuralUnitsProperties; 
+	public static String failedToAccessCorpus; 
+	public static String structures; 
+	public static String lexicalUnitsPropertiesMaxP0Values; 
+	public static String numberOfStructuralUnits; 
+	public static String error; 
+	public static String structuralUnitsPropertiesMaxP0Values; 
+	public static String noProperty; 
+	public static String descriptionOf; 
+	public static String properties; 
+	public static String generalStatistics; 
+	public static String t; 
+	public static String wordProperties; 
+	public static String s; 
+	public static String generalStatistics_2; 
+	public static String numberOfWords; 
+	public static String lexicon; 
+	public static String numberOfWordProperties; 
+
+	
+	
+	static {
+		// initialize resource bundle
+		Utf8NLS.initializeMessages(BUNDLE_NAME, PropertiesCoreMessages.class);
+	}
+
+	private PropertiesCoreMessages() {
+	}
+	
+}
Index: tmp/org.txm.properties.core/src/org/txm/properties/core/functions/Properties.java
===================================================================
--- tmp/org.txm.properties.core/src/org/txm/properties/core/functions/Properties.java	(revision 1334)
+++ tmp/org.txm.properties.core/src/org/txm/properties/core/functions/Properties.java	(revision 1335)
@@ -166,7 +166,7 @@
 			properties = corpus.getProperties();
 			NProperties = properties.size();
 		} catch (CqiClientException e) {
-			Log.severe(PropertiesCoreMessages.Properties_1 + corpus.getName() + PropertiesCoreMessages.Properties_4);
+			Log.severe(PropertiesCoreMessages.failedToAccessCorpus + corpus.getName() + PropertiesCoreMessages.properties);
 			Log.printStackTrace(e);
 			return;
 		}
@@ -174,7 +174,7 @@
 		try {
 			numberOfWords = corpus.getSize();// corpus.getLexicon(corpus.getProperty("id")).nbrOfToken();
 		} catch (CqiClientException e) {
-			Log.severe(PropertiesCoreMessages.Properties_6 + corpus.getName() + PropertiesCoreMessages.Properties_8);
+			Log.severe(PropertiesCoreMessages.failedToAccessCorpus + corpus.getName() + PropertiesCoreMessages.lexicon);
 			Log.printStackTrace(e);
 			return;
 		}
@@ -217,7 +217,7 @@
 		try {
 			structures = corpus.getOrderedStructuralUnits();
 		} catch (CqiClientException e) {
-			Log.severe(PropertiesCoreMessages.Properties_1 + corpus.getName() + PropertiesCoreMessages.Properties_11);
+			Log.severe(PropertiesCoreMessages.failedToAccessCorpus + corpus.getName() + PropertiesCoreMessages.structures);
 			Log.printStackTrace(e);
 			return;
 		}
@@ -237,7 +237,7 @@
 						internalArchitecturePropertiesCounts.get(su.getName()).put(sup.getName(), allvalues.size());
 					} catch (Exception e) {
 						ArrayList<String> list = new ArrayList<String>(1);
-						list.add(PropertiesCoreMessages.Properties_2);
+						list.add(PropertiesCoreMessages.error);
 						internalArchitectureProperties.get(su.getName()).put(sup.getName(), list);
 						internalArchitecturePropertiesCounts.get(su.getName()).put(sup.getName(), -1);
 					}
@@ -284,23 +284,23 @@
 				"<meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"/>" + //$NON-NLS-1$
 				"</head>" + //$NON-NLS-1$
 				"<body>\n"); //$NON-NLS-1$
-		buff.append("<h2 style'font-family:\"Arial\";'>" + PropertiesCoreMessages.Properties_3 + this.corpus.getName() + " (id=" + this.corpus.getID() + ")</h2>\n"); //$NON-NLS-2$ //$NON-NLS-1$
+		buff.append("<h2 style'font-family:\"Arial\";'>" + PropertiesCoreMessages.descriptionOf + this.corpus.getName() + " (id=" + this.corpus.getID() + ")</h2>\n"); //$NON-NLS-2$ //$NON-NLS-1$
 
 		if (corpus.getDescription() != null && corpus.getDescription().length() > 0) {
 			buff.append("<p>" + corpus.getDescription() + "</p>"); //$NON-NLS-1$ //$NON-NLS-2$
 		}
 
-		buff.append("<h3 style'font-family:\"Arial\";'>" + PropertiesCoreMessages.Properties_5 + "</h3>\n"); //$NON-NLS-1$ //$NON-NLS-2$
+		buff.append("<h3 style'font-family:\"Arial\";'>" + PropertiesCoreMessages.generalStatistics_2 + "</h3>\n"); //$NON-NLS-1$ //$NON-NLS-2$
 
 		// counts
 		buff.append("<ul>\n"); //$NON-NLS-1$
-		buff.append("<li>" + PropertiesCoreMessages.Properties_7 + numberOfWords + "</li>\n"); //$NON-NLS-1$ //$NON-NLS-2$
-		buff.append("<li>" + PropertiesCoreMessages.Properties_9 + (NProperties - 1) + "</li>\n"); //$NON-NLS-2$ //$NON-NLS-1$
-		buff.append("<li>" + PropertiesCoreMessages.Properties_16 + NStructures + "</li>\n"); //$NON-NLS-2$ //$NON-NLS-1$
+		buff.append("<li>" + PropertiesCoreMessages.numberOfWords + numberOfWords + "</li>\n"); //$NON-NLS-1$ //$NON-NLS-2$
+		buff.append("<li>" + PropertiesCoreMessages.numberOfWordProperties + (NProperties - 1) + "</li>\n"); //$NON-NLS-2$ //$NON-NLS-1$
+		buff.append("<li>" + PropertiesCoreMessages.numberOfStructuralUnits + NStructures + "</li>\n"); //$NON-NLS-2$ //$NON-NLS-1$
 		buff.append("</ul>\n"); //$NON-NLS-1$
 
 		// Propriétés d'occurrences
-		buff.append("<h3 style'font-family:\"Arial\";'>" + NLS.bind(PropertiesCoreMessages.Properties_14, pMaxPropertiesToDisplay) + "</h3>\n"); //$NON-NLS-1$ //$NON-NLS-2$
+		buff.append("<h3 style'font-family:\"Arial\";'>" + NLS.bind(PropertiesCoreMessages.lexicalUnitsPropertiesMaxP0Values, pMaxPropertiesToDisplay) + "</h3>\n"); //$NON-NLS-1$ //$NON-NLS-2$
 		ArrayList<String> properties = new ArrayList<String>(propertiesValues.keySet());
 		Collections.sort(properties);
 		buff.append("<ul>\n"); //$NON-NLS-1$
@@ -318,7 +318,7 @@
 		buff.append("</ul>\n"); //$NON-NLS-1$
 
 		// Propriété de structures
-		buff.append("<h3 style'font-family:\"Arial\";'>" + NLS.bind(PropertiesCoreMessages.Properties_22, pMaxPropertiesToDisplay) + "</h3>\n"); //$NON-NLS-1$ //$NON-NLS-2$
+		buff.append("<h3 style'font-family:\"Arial\";'>" + NLS.bind(PropertiesCoreMessages.structuralUnitsPropertiesMaxP0Values, pMaxPropertiesToDisplay) + "</h3>\n"); //$NON-NLS-1$ //$NON-NLS-2$
 		buff.append("<ul>\n"); //$NON-NLS-1$
 		for (String s : internalArchitecture) {
 			StringBuffer subbuffer = new StringBuffer();
@@ -329,7 +329,7 @@
 
 			subbuffer.append("<li> " + s + "\n<ul>\n"); //$NON-NLS-1$ //$NON-NLS-2$
 			if (internalArchitectureProperties.get(s).keySet().size() == 0)
-				subbuffer.append("<li>" + PropertiesCoreMessages.Properties_26 + "</li>\n"); //$NON-NLS-1$ //$NON-NLS-2$
+				subbuffer.append("<li>" + PropertiesCoreMessages.noProperty + "</li>\n"); //$NON-NLS-1$ //$NON-NLS-2$
 
 			// System.out.println("struct: "+s+" >> "+properties);
 			Collections.sort(properties);
@@ -387,15 +387,15 @@
 	public String dump(int maxvalue) {
 		StringBuffer buff = new StringBuffer();
 
-		buff.append(PropertiesCoreMessages.Properties_40);
-		buff.append(PropertiesCoreMessages.Properties_41 + String.format(Locale.FRANCE, "%,d", numberOfWords) + "\n"); //$NON-NLS-1$
-		buff.append(PropertiesCoreMessages.Properties_43 + String.format("%,d", NProperties) + "\n"); //$NON-NLS-1$
+		buff.append(PropertiesCoreMessages.generalStatistics);
+		buff.append(PropertiesCoreMessages.t + String.format(Locale.FRANCE, "%,d", numberOfWords) + "\n"); //$NON-NLS-1$
+		buff.append(PropertiesCoreMessages.wordProperties + String.format("%,d", NProperties) + "\n"); //$NON-NLS-1$
 		/*
 		 * for (String s : propertiesCounts.keySet()) if (!s.equals("id")) //$NON-NLS-1$
 		 * buff.append(" - " + s + " " + propertiesCounts.get(s) + "\n"); //$NON-NLS-1$
 		 * //$NON-NLS-2$ //$NON-NLS-3$
 		 */
-		buff.append(PropertiesCoreMessages.Properties_49 + String.format("%,d", NStructures) + "\n"); //$NON-NLS-1$
+		buff.append(PropertiesCoreMessages.s + String.format("%,d", NStructures) + "\n"); //$NON-NLS-1$
 		for (String s : structuresCounts.keySet())
 			buff.append(" - " + s + "\n");// +structuresCounts.get(s)+"\n"); //$NON-NLS-1$ //$NON-NLS-2$
 
@@ -403,7 +403,7 @@
 		 * buff.append("* Structural Units counts\n"); for(String s :
 		 * internalArchitecture) buff.append(" - "+s+" "+hierarchieCounts.get(s)+"\n");
 		 */
-		buff.append(PropertiesCoreMessages.Properties_0);
+		buff.append(PropertiesCoreMessages.structuralUnitsProperties);
 		for (String s : internalArchitecture) {
 			buff.append(" - " + s + "\n"); //$NON-NLS-1$ //$NON-NLS-2$
 			for (String ps : internalArchitectureProperties.get(s).keySet()) {
@@ -656,4 +656,4 @@
 	public String getResultype() {
 		return PropertiesCoreMessages.RESULT_TYPE;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.chartsengine.r.rcp/src/org/txm/rcp/chartsengine/r/preferences/RChartsEnginePreferencePage.java
===================================================================
--- tmp/org.txm.chartsengine.r.rcp/src/org/txm/rcp/chartsengine/r/preferences/RChartsEnginePreferencePage.java	(revision 1334)
+++ tmp/org.txm.chartsengine.r.rcp/src/org/txm/rcp/chartsengine/r/preferences/RChartsEnginePreferencePage.java	(revision 1335)
@@ -74,7 +74,7 @@
 			displayFormats[i][1] = formats[i];
 		}
 
-		addField(new ComboFieldEditor(RChartsEnginePreferences.OUTPUT_FORMAT, SWTComponentsProviderMessages.ChartsEnginePreferencePage_COMBO_FIELD_SELECT_DISPLAY_FORMAT_LABEL, displayFormats, getFieldEditorParent()));
+		addField(new ComboFieldEditor(RChartsEnginePreferences.OUTPUT_FORMAT, SWTComponentsProviderMessages.displayFormat, displayFormats, getFieldEditorParent()));
 		
 	}
 	
@@ -111,8 +111,8 @@
 			
 			
 		} catch (Exception e) {
-			System.err.println(org.txm.rcp.messages.TXMUIMessages.FAILED_TO_SAVE_PREFERENCES + e);
+			System.err.println(org.txm.rcp.messages.TXMUIMessages.failedToSavePreferencesDDot + e);
 		}
 		return true;
 	}
-}
+}
\ No newline at end of file
